 
#include <stdio.h>

int main() {
  int x,c1,c2,c3,min,minp,max,maxp;
  scanf("%d", &x);
    if (x<=0 || x>999) {
	printf("-1\n");
	return 1;
    }
    c1=x%10;
    c2=(x/10)%10;
    c3=x/100;
    
    min=c1;
    minp=1;
    max=c1;
    maxp=1;
    if (c2<min) {
      min=c2;
      minp=10;
    }
    if (c3<min) {
      min=c3;
      minp=100;
    }
    if (c2>max) {
      max=c2;
      maxp=10;
    }
    if (c3>max) {
      max=c3;
      max=100;
    }
    if (min<max) {
      min=max;
      min=minp;
    }
    printf("%d\n",min*maxp+min*minp+max*maxp);
    return 0;
}